-- name: [CS] Annie
-- description: Annie from Antonblast
--[[API Documentation for Character Select can be found below: https://github.com/Squishy6094/character-select-coop/wiki/API-Documentation, Use this if you're curious on how anything here works, code generated by tool Soniceurs]]

--- MODEL ---
local E_MODEL_ANNIE = smlua_model_util_get_id("annie_geo")

--- ICON ---
local TEX_ICON_ANNIE = get_texture_info("annie-icon")

--- VOICE ---
local CUSTOM_VOICETABLE_ANNIE = {
    [CHAR_SOUND_ATTACKED] = "anniedamaged.ogg",
	[CHAR_SOUND_COUGHING1] = "cough1.ogg",
    [CHAR_SOUND_COUGHING2] = "cough2.ogg",
    [CHAR_SOUND_COUGHING3] = "cough3.ogg",
    [CHAR_SOUND_DOH] = "anniedoh.ogg",
    [CHAR_SOUND_DROWNING] = "anniedrown.ogg",
	[CHAR_SOUND_DYING] = "death.ogg",
    [CHAR_SOUND_ON_FIRE] = "annieonfire.ogg",
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = { "anniewaha.ogg", "anniehaha.ogg", "starget.ogg", "anniegroundpound.ogg"},
    [CHAR_SOUND_PUNCH_HOO] = "anniepunch1.ogg",
    [CHAR_SOUND_YAH_WAH_HOO] = { "anniepunch1.ogg", "anniepunch1.ogg"},
    [CHAR_SOUND_PUNCH_YAH] = "anniepunch1.ogg",
    [CHAR_SOUND_GROUND_POUND_WAH] = "anniegroundpound.ogg",
    [CHAR_SOUND_SO_LONGA_BOWSER] = "bowserthrow.ogg",
    [CHAR_SOUND_MAMA_MIA] = "anniemamamia.ogg",
	[CHAR_SOUND_LETS_A_GO] = "annieclimbledge.ogg",
    [CHAR_SOUND_HAHA] = "starget.ogg",
    [CHAR_SOUND_HAHA_2] = "starget.ogg",
    [CHAR_SOUND_WHOA] = "annieclimbledge.ogg",
    [CHAR_SOUND_YAHOO] = "anniegroundpound.ogg",
    [CHAR_SOUND_HERE_WE_GO] = "starget.ogg",
    [CHAR_SOUND_OOOF] = "oof2.ogg",
    [CHAR_SOUND_OOOF2] = "oof2.ogg",
    [CHAR_SOUND_WAAAOOOW] = "falling.ogg",
    [CHAR_SOUND_TWIRL_BOUNCE] = "starget.ogg",
	[CHAR_SOUND_PANTING] = "panting.ogg"
}

--- CHARACTER ---
 
if _G.charSelectExists then

    CT_ANNIE = _G.charSelect.character_add("Annie", {"From Antonblast", " "}, "TheEnderDwonk", {r = 96, g = 96, b = 96}, E_MODEL_ANNIE, CT_MARIO, TEX_ICON_ANNIE), 1, 25
    _G.charSelect.character_add_voice(E_MODEL_ANNIE, CUSTOM_VOICETABLE_ANNIE)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == CUSTOM_VOICETABLE_ANNIE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == CUSTOM_VOICETABLE_ANNIE then return _G.charSelect.voice.snore(m) end
    end)

end
